import request from '@/utils/request'

// 分页查询港口信息列表
export function pageListPort(query) {
  return request({
    url: '/jxc/port/pageList',
    method: 'get',
    params: query
  })
}

// 查询港口信息列表
export function listPort(query) {
  return request({
    url: '/jxc/port/list',
    method: 'get',
    params: query
  })
}

// 查询港口信息详细
export function getPort(id) {
  return request({
    url: '/jxc/port/' + id,
    method: 'get'
  })
}

// 新增港口信息
export function addPort(data) {
  return request({
    url: '/jxc/port',
    method: 'post',
    data: data
  })
}

// 修改港口信息
export function updatePort(data) {
  return request({
    url: '/jxc/port',
    method: 'put',
    data: data
  })
}

// 删除港口信息
export function delPort(id) {
  return request({
    url: '/jxc/port/' + id,
    method: 'delete'
  })
}

// 导出港口信息
export function exportPort(query) {
  return request({
    url: '/jxc/port/' + 'export',
    method: 'post',
    params: query
  })
}
